apiVersion: apps/v1
kind: Deployment
metadata: 
  name: submit
  labels:
    app: submit
spec:
  replicas: 4
  selector:
    matchLabels:
      app: submit
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 8
  template:
    metadata:
      labels:
        app: submit
    spec:
      containers:
        - name: submit
          image: ranjanmangla1/submit-form-atlan
          envFrom:
            - configMapRef:
                name: submit-configmap
            - secretRef:
                name: submit-secret 